
/*
    Progetto : ManoBot -  HackLab Terni
    Marzo - Aprile 2012
    Autore : Moreno Petrucci
*/

#include <Servo.h>


Servo ServoMot_1;
Servo ServoMot_2;
Servo ServoMot_3;
Servo ServoMot_4;
Servo ServoMot_5;


int melodia[]={100,350,600,200,100};
int durataNote[] = {250, 500, 250, 250, 250};

int analogValue_1 = 180;
int analogValue_2 = 180;
int analogValue_3 = 180;
int analogValue_4 = 180;
int analogValue_5 = 180;


void setup()
{

ServoMot_1.attach(8);
ServoMot_2.attach(9);
ServoMot_3.attach(10);
ServoMot_4.attach(11);
ServoMot_5.attach(12);

ServoMot_1.write(10);
ServoMot_2.write(10);
ServoMot_3.write(10);
ServoMot_4.write(10);
ServoMot_5.write(10);


Serial.begin(9600);

}


void loop()
{

//Lettura segnale analogico proveniente da Sensore Flex
analogValue_1 = constrain(map(analogRead(2),300,240,9,180),9,180);
analogValue_2 = constrain(map(analogRead(0),350,260,9,180),9,180);
analogValue_3 = constrain(map(analogRead(1),270,130,9,180),9,180);
analogValue_4 = constrain(map(analogRead(4),285,220,9,180),9,180);
analogValue_5 = constrain(map(analogRead(3),300,250,9,180),9,180);

//      1 -  P O L L I C E
// Azionamento Servomotore in base al segnale analogico entrante
if (analogValue_1 > 35) {ServoMot_1.write(analogValue_1);}
// Riproduzione tono musicale
if (analogValue_1 > 40) {tone(13, melodia[0],durataNote[0]);} //if (analogValue_1 > 150) {tone(8, melodia[2] + analogValue_1,durataNote[0]);

//      2 -  I N D I C E
// Azionamento Servomotore in base al segnale analogico entrante
if (analogValue_2 > 25) {ServoMot_2.write(analogValue_2);}
// Riproduzione tono musicale
if (analogValue_2 > 80) {tone(13, melodia[1],durataNote[1]);} //if (analogValue_1 > 150) {tone(8, melodia[2] + analogValue_1,durataNote[0]);

//      3 -  M E D I O
// Azionamento Servomotore in base al segnale analogico entrante
if (analogValue_3 > 15) {ServoMot_3.write(analogValue_3);}
// Riproduzione tono musicale
if (analogValue_3 > 50) {tone(13, melodia[2],durataNote[2]);} //if (analogValue_1 > 150) {tone(8, melodia[2] + analogValue_1,durataNote[0]);

//      4 -  A N U L A R E
// Azionamento Servomotore in base al segnale analogico entrante
if (analogValue_4 > 15) {ServoMot_4.write(analogValue_4);}
// Riproduzione tono musicale
if (analogValue_4 > 70) {tone(13, melodia[3],durataNote[3]);} //if (analogValue_1 > 150) {tone(8, melodia[2] + analogValue_1,durataNote[0]);
//
//      5 -  M I G N O L O
// Azionamento Servomotore in base al segnale analogico entrante
if (analogValue_5 > 15) {ServoMot_5.write(analogValue_5);}
// Riproduzione tono musicale
if (analogValue_5 > 50) {tone(13, melodia[4],durataNote[4]);} //if (analogValue_1 > 150) {tone(8, melodia[2] + analogValue_1,durataNote[0]);


Serial.println(analogRead(2), DEC);

delay(100);

}
